import { Description } from "./Description";
import { SectionHeaderDescription } from "./SectionHeaderDescription";
import { SummaryRowRootDescription } from "./SummaryRowRootDescription";
import { SummaryRowSectionDescription } from "./SummaryRowSectionDescription";
import { RowSeparatorDescription } from "./RowSeparatorDescription";
import { HeaderRowSeparatorDescription } from "./HeaderRowSeparatorDescription";
import { HeaderSeparatorDescription } from "./HeaderSeparatorDescription";
import { ColumnResizingSeparatorDescription } from "./ColumnResizingSeparatorDescription";
import { ColumnMovingSeparatorDescription } from "./ColumnMovingSeparatorDescription";
import { PinnedAreaSeparatorDescription } from "./PinnedAreaSeparatorDescription";
import { BaseDataSourceDescription } from "./BaseDataSourceDescription";
import { GridAnimationSettingsDescription } from "./GridAnimationSettingsDescription";
import { Type } from "./type";
import { PrimaryKeyValueDescription } from "./PrimaryKeyValueDescription";
import { CellKeyDescription } from "./CellKeyDescription";
import { CellRangeDescription } from "./CellRangeDescription";
import { GridCellPositionDescription } from "./GridCellPositionDescription";
import { ResponsiveStateDescription } from "./ResponsiveStateDescription";
import { ColumnSortDescriptionDescription } from "./ColumnSortDescriptionDescription";
import { ColumnGroupDescriptionDescription } from "./ColumnGroupDescriptionDescription";
import { FilterExpressionDescription } from "./FilterExpressionDescription";
import { ColumnSummaryDescriptionDescription } from "./ColumnSummaryDescriptionDescription";
import { ColumnDescription } from "./ColumnDescription";
/**
 * @hidden
 */
export declare class DataGridDescription extends Description {
    static $t: Type;
    private id;
    width: string;
    private gq;
    height: string;
    private eu;
    background: string;
    private bj;
    isGroupByAreaVisible: boolean;
    private bo;
    isPagerVisible: boolean;
    private bt;
    isToolbarVisible: boolean;
    protected get_type(): string;
    readonly type: string;
    constructor();
    private fp;
    columnResizingMode: string;
    private fh;
    columnMovingMode: string;
    private bq;
    isRowHoverEnabled: boolean;
    private gz;
    rowHoverBackground: string;
    private g0;
    rowHoverTextColor: string;
    private f5;
    editRowBorder: string;
    private c5;
    editRowBorderWidthBottom: number;
    private c6;
    editRowBorderWidthLeft: number;
    private c7;
    editRowBorderWidthRight: number;
    private c8;
    editRowBorderWidthTop: number;
    private a5;
    sectionHeader: SectionHeaderDescription;
    private a7;
    summaryRowRoot: SummaryRowRootDescription;
    private a9;
    summaryRowSection: SummaryRowSectionDescription;
    private a3;
    rowSeparator: RowSeparatorDescription;
    private ax;
    headerRowSeparator: HeaderRowSeparatorDescription;
    private az;
    headerSeparator: HeaderSeparatorDescription;
    private ar;
    columnResizingSeparator: ColumnResizingSeparatorDescription;
    private ap;
    columnMovingSeparator: ColumnMovingSeparatorDescription;
    private a1;
    pinnedAreaSeparator: PinnedAreaSeparatorDescription;
    private h;
    autoGenerateDesiredProperties: string[];
    private j;
    dataSourceDesiredProperties: string[];
    private fz;
    density: string;
    private d7;
    actualRowHeight: number;
    private ee;
    rowHeight: number;
    private c2;
    defaultColumnMinWidth: number;
    private d6;
    actualHeaderHeight: number;
    private ea;
    headerHeight: number;
    private fx;
    dataSourceRef: string;
    private an;
    dataSource: BaseDataSourceDescription;
    private gh;
    headerClickAction: string;
    private f3;
    editMode: string;
    private f4;
    editModeClickAction: string;
    private be;
    editOnKeyPress: boolean;
    private bc;
    autoGenerateColumns: boolean;
    private ef;
    rowSeparatorHeight: number;
    private bp;
    isPlaceholderRenderingEnabled: boolean;
    private fc;
    columnAddingAnimationMode: string;
    private fn;
    columnPropertyUpdatingAnimationMode: string;
    private ey;
    cellDataLoadedAnimationMode: string;
    private g1;
    rowSelectionAnimationMode: string;
    private gy;
    rowHoverAnimationMode: string;
    private e9;
    cellSelectionAnimationMode: string;
    private at;
    animationSettings: GridAnimationSettingsDescription;
    private fo;
    columnResizingAnimationMode: string;
    private fs;
    columnShowingAnimationMode: string;
    private fg;
    columnMovingAnimationMode: string;
    private ff;
    columnHidingAnimationMode: string;
    private fd;
    columnExchangingAnimationMode: string;
    private hi;
    selectionMode: string;
    private eq;
    activationMode: string;
    private hg;
    selectionBehavior: string;
    private bu;
    mouseDragSelectionEnabled: boolean;
    private s;
    selectedItems: any[];
    private t;
    selectedKeys: PrimaryKeyValueDescription[];
    private r;
    selectedCells: CellKeyDescription[];
    private q;
    selectedCellRanges: CellRangeDescription[];
    private m;
    pinnedItems: any[];
    private n;
    pinnedKeys: PrimaryKeyValueDescription[];
    private bg;
    isColumnOptionsEnabled: boolean;
    private bm;
    isGroupRowSticky: boolean;
    private bn;
    isHeaderSeparatorVisible: boolean;
    private e8;
    cellSelectedBackground: string;
    private ha;
    sectionHeaderSelectedBackground: string;
    private hn;
    summaryRootBackground: string;
    private hy;
    summarySectionBackground: string;
    private da;
    pinnedRowOpacity: number;
    private f0;
    editFontFamily: string;
    private c3;
    editFontSize: number;
    private f1;
    editFontStyle: string;
    private f2;
    editFontWeight: string;
    private c4;
    editOpacity: number;
    private fy;
    deletedTextColor: string;
    private hl;
    stickyRowBackground: string;
    private gv;
    pinnedRowBackground: string;
    private gr;
    lastStickyRowBackground: string;
    private av;
    activeCell: GridCellPositionDescription;
    private ew;
    cellBackground: string;
    private fa;
    cellTextColor: string;
    private gn;
    headerSortIndicatorColor: string;
    private go;
    headerSortIndicatorStyle: string;
    private e1;
    cellFontFamily: string;
    private cv;
    cellFontSize: number;
    private e2;
    cellFontStyle: string;
    private e3;
    cellFontWeight: string;
    private g6;
    sectionHeaderBackground: string;
    private hb;
    sectionHeaderTextColor: string;
    private g7;
    sectionHeaderFontFamily: string;
    private db;
    sectionHeaderFontSize: number;
    private g8;
    sectionHeaderFontStyle: string;
    private g9;
    sectionHeaderFontWeight: string;
    private ho;
    summaryRootLabelFontFamily: string;
    private dc;
    summaryRootLabelFontSize: number;
    private hp;
    summaryRootLabelFontStyle: string;
    private hq;
    summaryRootLabelFontWeight: string;
    private hz;
    summarySectionLabelFontFamily: string;
    private de;
    summarySectionLabelFontSize: number;
    private h0;
    summarySectionLabelFontStyle: string;
    private h1;
    summarySectionLabelFontWeight: string;
    private hw;
    summaryRootValueTextColor: string;
    private ht;
    summaryRootValueFontFamily: string;
    private dd;
    summaryRootValueFontSize: number;
    private hu;
    summaryRootValueFontStyle: string;
    private hv;
    summaryRootValueFontWeight: string;
    private h4;
    summarySectionValueFontFamily: string;
    private df;
    summarySectionValueFontSize: number;
    private h5;
    summarySectionValueFontStyle: string;
    private h6;
    summarySectionValueFontWeight: string;
    private h7;
    summarySectionValueTextColor: string;
    private hr;
    summaryRootLabelTextColor: string;
    private h2;
    summarySectionLabelTextColor: string;
    private hs;
    summaryRootSelectedBackground: string;
    private h3;
    summarySectionSelectedBackground: string;
    private ed;
    pinnedAreaSeparatorWidth: number;
    private eb;
    headerSeparatorWidth: number;
    private gm;
    headerSeparatorBackground: string;
    private gg;
    headerBackground: string;
    private gp;
    headerTextColor: string;
    private gi;
    headerFontFamily: string;
    private c9;
    headerFontSize: number;
    private gj;
    headerFontStyle: string;
    private gk;
    headerFontWeight: string;
    private g2;
    rowSeparatorBackground: string;
    private gl;
    headerRowSeparatorBackground: string;
    private g5;
    rowSeparatorStickyRowBackground: string;
    private g3;
    rowSeparatorLastStickyRowBackground: string;
    private g4;
    rowSeparatorPinnedRowBackground: string;
    private d9;
    columnResizingSeparatorWidth: number;
    private cx;
    columnResizingSeparatorOpacity: number;
    private d8;
    columnMovingSeparatorWidth: number;
    private cw;
    columnMovingSeparatorOpacity: number;
    private fq;
    columnResizingSeparatorBackground: string;
    private fi;
    columnMovingSeparatorBackground: string;
    private bz;
    shiftSectionContent: boolean;
    private fj;
    columnOptionsIconAlignment: string;
    private fl;
    columnOptionsIconColor: string;
    private fk;
    columnOptionsIconBehavior: string;
    private ev;
    border: string;
    private cr;
    borderWidthBottom: number;
    private cs;
    borderWidthLeft: number;
    private ct;
    borderWidthRight: number;
    private cu;
    borderWidthTop: number;
    private bv;
    notifyOnAllSelectionChanges: boolean;
    private cz;
    cornerRadiusBottomRight: number;
    private cy;
    cornerRadiusBottomLeft: number;
    private c0;
    cornerRadiusTopLeft: number;
    private c1;
    cornerRadiusTopRight: number;
    private bf;
    isActiveCellStyleEnabled: boolean;
    private p;
    responsiveStates: ResponsiveStateDescription[];
    private u;
    sortDescriptions: ColumnSortDescriptionDescription[];
    private l;
    groupDescriptions: ColumnGroupDescriptionDescription[];
    private k;
    filterExpressions: FilterExpressionDescription[];
    private v;
    summaryDescriptions: ColumnSummaryDescriptionDescription[];
    private hx;
    summaryScope: string;
    private bk;
    isGroupCollapsable: boolean;
    private ge;
    groupHeaderDisplayMode: string;
    private bl;
    isGroupExpandedDefault: boolean;
    private gf;
    groupSummaryDisplayMode: string;
    private bb;
    autoAcceptEdits: boolean;
    private o;
    primaryKey: string[];
    private g;
    actualPrimaryKey: string[];
    private f;
    actualColumns: ColumnDescription[];
    private i;
    columns: ColumnDescription[];
    private by;
    reactsToSortChanges: boolean;
    private bx;
    reactsToGroupChanges: boolean;
    private bw;
    reactsToFilterChanges: boolean;
    private f6;
    enterBehavior: string;
    private f7;
    enterBehaviorAfterEdit: string;
    private bi;
    isColumnOptionsSummariesEnabled: boolean;
    private bh;
    isColumnOptionsGroupingEnabled: boolean;
    private gt;
    mergedCellMode: string;
    private gs;
    mergedCellEvaluationCriteria: string;
    private gu;
    mergedCellVerticalAlignment: string;
    private gc;
    filterUIType: string;
    private gb;
    filterLogicalOperator: string;
    private f8;
    filterComparisonType: string;
    private cp;
    todayOverride: Date;
    private bd;
    clearSelectionOnEscape: boolean;
    private ec;
    pageSize: number;
    private br;
    isToolbarColumnChooserVisible: boolean;
    private bs;
    isToolbarColumnPinningVisible: boolean;
    private ic;
    toolbarTitle: string;
    private h8;
    toolbarColumnChooserText: string;
    private h9;
    toolbarColumnChooserTitle: string;
    private ia;
    toolbarColumnPinningText: string;
    private ib;
    toolbarColumnPinningTitle: string;
    private ga;
    filterExpressionsChangingRef: string;
    private f9;
    filterExpressionsChangedRef: string;
    private e6;
    cellPreviewPointerDownRef: string;
    private e7;
    cellPreviewPointerUpRef: string;
    private e4;
    cellPointerDownRef: string;
    private e5;
    cellPointerUpRef: string;
    private ex;
    cellClickedRef: string;
    private hk;
    sortDescriptionsChangedRef: string;
    private gd;
    groupDescriptionsChangedRef: string;
    private hm;
    summaryDescriptionsChangedRef: string;
    private fe;
    columnHiddenChangedRef: string;
    private fm;
    columnPinnedChangedRef: string;
    private fb;
    cellValueChangingRef: string;
    private fv;
    dataCommittedRef: string;
    private fw;
    dataCommittingRef: string;
    private hj;
    sizeChangedRef: string;
    private es;
    actualColumnsChangedRef: string;
    private fr;
    columnsAutoGeneratedRef: string;
    private he;
    selectedItemsChangedRef: string;
    private hf;
    selectedKeysChangedRef: string;
    private hd;
    selectedCellsChangedRef: string;
    private hh;
    selectionChangedRef: string;
    private er;
    activeCellChangedRef: string;
    private hc;
    selectedCellRangesChangedRef: string;
    private ft;
    columnWidthChangedRef: string;
    private e0;
    cellEditStartedRef: string;
    private ez;
    cellEditEndedRef: string;
    private gx;
    rowEditStartedRef: string;
    private gw;
    rowEditEndedRef: string;
    private fu;
    customFilterRequestedRef: string;
    private et;
    actualPrimaryKeyChangeRef: string;
}
