import { Description } from "./Description";
import { FormatSpecifierDescription } from "./FormatSpecifierDescription";
import { RectDescription } from "./RectDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class DomainChartDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    readonly type: string;
    constructor();
    private dn;
    pixelScalingRatio: number;
    private d1;
    titleLeftMargin: number;
    private d2;
    titleRightMargin: number;
    private d3;
    titleTopMargin: number;
    private d0;
    titleBottomMargin: number;
    private dw;
    subtitleLeftMargin: number;
    private dy;
    subtitleTopMargin: number;
    private dx;
    subtitleRightMargin: number;
    private dv;
    subtitleBottomMargin: number;
    private j7;
    subtitleTextColor: string;
    private ka;
    titleTextColor: string;
    private dk;
    leftMargin: number;
    private d4;
    topMargin: number;
    private du;
    rightMargin: number;
    private bu;
    bottomMargin: number;
    private g2;
    transitionDuration: number;
    private kd;
    transitionEasingFunctionRef: string;
    private j8;
    subtitleTextStyle: string;
    private kb;
    titleTextStyle: string;
    private hw;
    dataToolTipGroupingMode: string;
    private cg;
    dataToolTipPositionOffsetX: number;
    private ch;
    dataToolTipPositionOffsetY: number;
    private b0;
    dataToolTipDefaultPositionOffsetX: number;
    private b1;
    dataToolTipDefaultPositionOffsetY: number;
    private hu;
    dataToolTipGroupedPositionModeX: string;
    private hv;
    dataToolTipGroupedPositionModeY: string;
    private aw;
    dataToolTipShouldUpdateWhenSeriesDataChanges: boolean;
    private n;
    dataToolTipIncludedSeries: string[];
    private k;
    dataToolTipExcludedSeries: string[];
    private m;
    dataToolTipIncludedColumns: string[];
    private j;
    dataToolTipExcludedColumns: string[];
    private i7;
    dataToolTipValueFormatAbbreviation: string;
    private gy;
    dataToolTipValueFormatMaxFractions: number;
    private gz;
    dataToolTipValueFormatMinFractions: number;
    private i9;
    dataToolTipValueFormatMode: string;
    private i8;
    dataToolTipValueFormatCulture: string;
    private ax;
    dataToolTipValueFormatUseGrouping: boolean;
    private ja;
    dataToolTipValueFormatString: string;
    private o;
    dataToolTipValueFormatSpecifiers: FormatSpecifierDescription[];
    private c4;
    dataToolTipValueRowMarginBottom: number;
    private c5;
    dataToolTipValueRowMarginLeft: number;
    private c6;
    dataToolTipValueRowMarginRight: number;
    private c7;
    dataToolTipValueRowMarginTop: number;
    private ay;
    dataToolTipValueRowVisible: boolean;
    private jf;
    dataToolTipValueTextWhenMissingData: string;
    private az;
    dataToolTipValueTextUseSeriesColors: boolean;
    private c9;
    dataToolTipValueTextMarginBottom: number;
    private da;
    dataToolTipValueTextMarginLeft: number;
    private db;
    dataToolTipValueTextMarginRight: number;
    private dc;
    dataToolTipValueTextMarginTop: number;
    private jb;
    dataToolTipValueTextColor: string;
    private jc;
    dataToolTipValueTextFontFamily: string;
    private c8;
    dataToolTipValueTextFontSize: number;
    private jd;
    dataToolTipValueTextFontStyle: string;
    private je;
    dataToolTipValueTextFontWeight: string;
    private hz;
    dataToolTipHeaderFormatString: string;
    private l;
    dataToolTipHeaderFormatSpecifiers: FormatSpecifierDescription[];
    private hx;
    dataToolTipHeaderFormatCulture: string;
    private hy;
    dataToolTipHeaderFormatDate: string;
    private h0;
    dataToolTipHeaderFormatTime: string;
    private h1;
    dataToolTipHeaderText: string;
    private h2;
    dataToolTipHeaderTextColor: string;
    private b7;
    dataToolTipHeaderTextMarginBottom: number;
    private b8;
    dataToolTipHeaderTextMarginLeft: number;
    private b9;
    dataToolTipHeaderTextMarginRight: number;
    private ca;
    dataToolTipHeaderTextMarginTop: number;
    private b2;
    dataToolTipHeaderRowMarginBottom: number;
    private b3;
    dataToolTipHeaderRowMarginLeft: number;
    private b4;
    dataToolTipHeaderRowMarginRight: number;
    private b5;
    dataToolTipHeaderRowMarginTop: number;
    private av;
    dataToolTipHeaderRowVisible: boolean;
    private h3;
    dataToolTipHeaderTextFontFamily: string;
    private b6;
    dataToolTipHeaderTextFontSize: number;
    private h4;
    dataToolTipHeaderTextFontStyle: string;
    private h5;
    dataToolTipHeaderTextFontWeight: string;
    private ii;
    dataToolTipSummaryTitleTextColor: string;
    private ij;
    dataToolTipSummaryTitleTextFontFamily: string;
    private cn;
    dataToolTipSummaryTitleTextFontSize: number;
    private ik;
    dataToolTipSummaryTitleTextFontStyle: string;
    private il;
    dataToolTipSummaryTitleTextFontWeight: string;
    private im;
    dataToolTipSummaryType: string;
    private ih;
    dataToolTipSummaryTitleText: string;
    private co;
    dataToolTipSummaryTitleTextMarginBottom: number;
    private cp;
    dataToolTipSummaryTitleTextMarginLeft: number;
    private cq;
    dataToolTipSummaryTitleTextMarginRight: number;
    private cr;
    dataToolTipSummaryTitleTextMarginTop: number;
    private cj;
    dataToolTipSummaryRowMarginBottom: number;
    private ck;
    dataToolTipSummaryRowMarginLeft: number;
    private cl;
    dataToolTipSummaryRowMarginRight: number;
    private cm;
    dataToolTipSummaryRowMarginTop: number;
    private it;
    dataToolTipSummaryValueTextColor: string;
    private iu;
    dataToolTipSummaryValueTextFontFamily: string;
    private ct;
    dataToolTipSummaryValueTextFontSize: number;
    private iv;
    dataToolTipSummaryValueTextFontStyle: string;
    private iw;
    dataToolTipSummaryValueTextFontWeight: string;
    private ib;
    dataToolTipSummaryLabelText: string;
    private ic;
    dataToolTipSummaryLabelTextColor: string;
    private id;
    dataToolTipSummaryLabelTextFontFamily: string;
    private ci;
    dataToolTipSummaryLabelTextFontSize: number;
    private ie;
    dataToolTipSummaryLabelTextFontStyle: string;
    private ig;
    dataToolTipSummaryLabelTextFontWeight: string;
    private io;
    dataToolTipSummaryUnitsText: string;
    private ip;
    dataToolTipSummaryUnitsTextColor: string;
    private iq;
    dataToolTipSummaryUnitsTextFontFamily: string;
    private cs;
    dataToolTipSummaryUnitsTextFontSize: number;
    private ir;
    dataToolTipSummaryUnitsTextFontStyle: string;
    private is;
    dataToolTipSummaryUnitsTextFontWeight: string;
    private bw;
    dataToolTipBadgeMarginBottom: number;
    private bx;
    dataToolTipBadgeMarginLeft: number;
    private by;
    dataToolTipBadgeMarginRight: number;
    private bz;
    dataToolTipBadgeMarginTop: number;
    private ht;
    dataToolTipBadgeShape: string;
    private i1;
    dataToolTipUnitsDisplayMode: string;
    private i2;
    dataToolTipUnitsText: string;
    private i3;
    dataToolTipUnitsTextColor: string;
    private c0;
    dataToolTipUnitsTextMarginBottom: number;
    private c1;
    dataToolTipUnitsTextMarginLeft: number;
    private c2;
    dataToolTipUnitsTextMarginRight: number;
    private c3;
    dataToolTipUnitsTextMarginTop: number;
    private i4;
    dataToolTipUnitsTextFontFamily: string;
    private cz;
    dataToolTipUnitsTextFontSize: number;
    private i5;
    dataToolTipUnitsTextFontStyle: string;
    private i6;
    dataToolTipUnitsTextFontWeight: string;
    private cv;
    dataToolTipTitleTextMarginBottom: number;
    private cw;
    dataToolTipTitleTextMarginLeft: number;
    private cx;
    dataToolTipTitleTextMarginRight: number;
    private cy;
    dataToolTipTitleTextMarginTop: number;
    private ix;
    dataToolTipTitleTextColor: string;
    private iy;
    dataToolTipTitleTextFontFamily: string;
    private cu;
    dataToolTipTitleTextFontSize: number;
    private iz;
    dataToolTipTitleTextFontStyle: string;
    private i0;
    dataToolTipTitleTextFontWeight: string;
    private h6;
    dataToolTipLabelDisplayMode: string;
    private h7;
    dataToolTipLabelTextColor: string;
    private cc;
    dataToolTipLabelTextMarginBottom: number;
    private cd;
    dataToolTipLabelTextMarginLeft: number;
    private ce;
    dataToolTipLabelTextMarginRight: number;
    private cf;
    dataToolTipLabelTextMarginTop: number;
    private h8;
    dataToolTipLabelTextFontFamily: string;
    private cb;
    dataToolTipLabelTextFontSize: number;
    private h9;
    dataToolTipLabelTextFontStyle: string;
    private ia;
    dataToolTipLabelTextFontWeight: string;
    private hs;
    dataSourceRef: string;
    private q;
    includedProperties: string[];
    private p;
    excludedProperties: string[];
    private h;
    brushes: string[];
    private u;
    outlines: string[];
    private f;
    actualBrushes: string[];
    private g;
    actualOutlines: string[];
    private jr;
    legendRef: string;
    private a2;
    isHorizontalZoomEnabled: boolean;
    private a4;
    isVerticalZoomEnabled: boolean;
    private a6;
    shouldDisplayMockData: boolean;
    private a7;
    shouldUseSkeletonStyleForMockData: boolean;
    private a3;
    isSeriesHighlightingEnabled: boolean;
    private an;
    windowRect: RectDescription;
    private hj;
    chartTitle: string;
    private j5;
    subtitle: string;
    private j9;
    titleAlignment: string;
    private j6;
    subtitleAlignment: string;
    private kf;
    unknownValuePlotting: string;
    private dt;
    resolution: number;
    private dz;
    thickness: number;
    private jv;
    outlineMode: string;
    private ju;
    markerOutlineMode: string;
    private jt;
    markerFillMode: string;
    private dl;
    markerFillOpacity: number;
    private dm;
    markerThickness: number;
    private t;
    markerTypes: string[];
    private js;
    markerAutomaticBehavior: string;
    private r;
    markerBrushes: string[];
    private s;
    markerOutlines: string[];
    private g1;
    markerMaxCount: number;
    private bt;
    areaFillOpacity: number;
    private aq;
    animateSeriesWhenAxisRangeChanges: boolean;
    private v;
    trendLineBrushes: string[];
    private ke;
    trendLineType: string;
    private d5;
    trendLineThickness: number;
    private ap;
    alignsGridLinesToPixels: boolean;
    private dq;
    plotAreaMarginLeft: number;
    private ds;
    plotAreaMarginTop: number;
    private dr;
    plotAreaMarginRight: number;
    private dp;
    plotAreaMarginBottom: number;
    private hk;
    computedPlotAreaMarginMode: string;
    private jx;
    seriesPlotAreaMarginHorizontalMode: string;
    private jy;
    seriesPlotAreaMarginVerticalMode: string;
    private jj;
    highlightingMode: string;
    private ji;
    highlightingBehavior: string;
    private jo;
    legendHighlightingMode: string;
    private jq;
    legendItemBadgeShape: string;
    private jp;
    legendItemBadgeMode: string;
    private g3;
    trendLinePeriod: number;
    private kc;
    toolTipType: string;
    private hp;
    crosshairsDisplayMode: string;
    private au;
    crosshairsSnapToData: boolean;
    private hr;
    crosshairsLineVerticalStroke: string;
    private bv;
    crosshairsLineThickness: number;
    private hq;
    crosshairsLineHorizontalStroke: string;
    private at;
    crosshairsAnnotationEnabled: boolean;
    private hl;
    crosshairsAnnotationXAxisBackground: string;
    private hn;
    crosshairsAnnotationYAxisBackground: string;
    private hm;
    crosshairsAnnotationXAxisTextColor: string;
    private ho;
    crosshairsAnnotationYAxisTextColor: string;
    private gw;
    crosshairsAnnotationXAxisPrecision: number;
    private gx;
    crosshairsAnnotationYAxisPrecision: number;
    private a5;
    shouldAvoidAxisAnnotationCollisions: boolean;
    private a0;
    finalValueAnnotationsVisible: boolean;
    private jg;
    finalValueAnnotationsBackground: string;
    private jh;
    finalValueAnnotationsTextColor: string;
    private g0;
    finalValueAnnotationsPrecision: number;
    private as;
    calloutsVisible: boolean;
    private ar;
    calloutStyleUpdatingEventEnabled: boolean;
    private he;
    calloutsDataSourceRef: string;
    private i;
    calloutsAllowedPositions: string[];
    private hh;
    calloutsXMemberPath: string;
    private hi;
    calloutsYMemberPath: string;
    private hf;
    calloutsLabelMemberPath: string;
    private hd;
    calloutsContentMemberPath: string;
    private jl;
    horizontalViewScrollbarMode: string;
    private kh;
    verticalViewScrollbarMode: string;
    private jn;
    horizontalViewScrollbarPosition: string;
    private kj;
    verticalViewScrollbarPosition: string;
    private jk;
    horizontalViewScrollbarFill: string;
    private jm;
    horizontalViewScrollbarOutline: string;
    private dh;
    horizontalViewScrollbarStrokeThickness: number;
    private dg;
    horizontalViewScrollbarMaxOpacity: number;
    private dd;
    horizontalViewScrollbarCornerRadius: number;
    private de;
    horizontalViewScrollbarHeight: number;
    private df;
    horizontalViewScrollbarInset: number;
    private dj;
    horizontalViewScrollbarTrackStartInset: number;
    private di;
    horizontalViewScrollbarTrackEndInset: number;
    private a1;
    horizontalViewScrollbarShouldAddAutoTrackInsets: boolean;
    private kg;
    verticalViewScrollbarFill: string;
    private ki;
    verticalViewScrollbarOutline: string;
    private d9;
    verticalViewScrollbarStrokeThickness: number;
    private d8;
    verticalViewScrollbarMaxOpacity: number;
    private d6;
    verticalViewScrollbarCornerRadius: number;
    private ec;
    verticalViewScrollbarWidth: number;
    private d7;
    verticalViewScrollbarInset: number;
    private eb;
    verticalViewScrollbarTrackStartInset: number;
    private ea;
    verticalViewScrollbarTrackEndInset: number;
    private a8;
    verticalViewScrollbarShouldAddAutoTrackInsets: boolean;
    private jw;
    seriesAddedRef: string;
    private j4;
    seriesRemovedRef: string;
    private j0;
    seriesPointerEnterRef: string;
    private j1;
    seriesPointerLeaveRef: string;
    private j2;
    seriesPointerMoveRef: string;
    private jz;
    seriesPointerDownRef: string;
    private j3;
    seriesPointerUpRef: string;
    private hg;
    calloutStyleUpdatingRef: string;
    private hc;
    calloutRenderStyleUpdatingRef: string;
}
