import { Description } from "./Description";
import { SeriesDescription } from "./SeriesDescription";
import { PointDescription } from "./PointDescription";
import { RectDescription } from "./RectDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare abstract class SeriesViewerDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    readonly type: string;
    constructor();
    private j;
    series: SeriesDescription[];
    private f;
    brushes: string[];
    private i;
    outlines: string[];
    private g;
    markerBrushes: string[];
    private h;
    markerOutlines: string[];
    private ds;
    markerAutomaticBehavior: string;
    private p;
    crosshairPoint: PointDescription;
    private dr;
    legendRef: string;
    private z;
    animateSeriesWhenAxisRangeChanges: boolean;
    private ae;
    isWindowSyncedToVisibleRange: boolean;
    private ag;
    shouldSimulateHoverMoveCrosshairPoint: boolean;
    private dh;
    highlightingMode: string;
    private dk;
    horizontalViewScrollbarMode: string;
    private er;
    verticalViewScrollbarMode: string;
    private dm;
    horizontalViewScrollbarPosition: string;
    private et;
    verticalViewScrollbarPosition: string;
    private dj;
    horizontalViewScrollbarFill: string;
    private dl;
    horizontalViewScrollbarOutline: string;
    private a6;
    horizontalViewScrollbarStrokeThickness: number;
    private a5;
    horizontalViewScrollbarMaxOpacity: number;
    private a2;
    horizontalViewScrollbarCornerRadius: number;
    private a3;
    horizontalViewScrollbarHeight: number;
    private a4;
    horizontalViewScrollbarInset: number;
    private a8;
    horizontalViewScrollbarTrackStartInset: number;
    private a7;
    horizontalViewScrollbarTrackEndInset: number;
    private aa;
    horizontalViewScrollbarShouldAddAutoTrackInsets: boolean;
    private eq;
    verticalViewScrollbarFill: string;
    private es;
    verticalViewScrollbarOutline: string;
    private br;
    verticalViewScrollbarStrokeThickness: number;
    private bq;
    verticalViewScrollbarMaxOpacity: number;
    private bo;
    verticalViewScrollbarCornerRadius: number;
    private bu;
    verticalViewScrollbarWidth: number;
    private bp;
    verticalViewScrollbarInset: number;
    private bt;
    verticalViewScrollbarTrackStartInset: number;
    private bs;
    verticalViewScrollbarTrackEndInset: number;
    private aj;
    verticalViewScrollbarShouldAddAutoTrackInsets: boolean;
    private dg;
    highlightingBehavior: string;
    private dn;
    legendHighlightingMode: string;
    private dq;
    legendItemBadgeShape: string;
    private dp;
    legendItemBadgeMode: string;
    private s;
    effectiveViewport: RectDescription;
    private u;
    windowRect: RectDescription;
    private ai;
    useTiledZooming: boolean;
    private af;
    preferHigherResolutionTiles: boolean;
    private c3;
    zoomTileCacheSize: number;
    private c1;
    highlightingTransitionDuration: number;
    private c2;
    scrollbarsAnimationDuration: number;
    private ac;
    isPagePanningAllowed: boolean;
    private db;
    contentHitTestMode: string;
    private c7;
    actualContentHitTestMode: string;
    private ad;
    isSurfaceInteractionDisabled: boolean;
    private ex;
    windowResponse: string;
    private bx;
    windowRectMinWidth: number;
    private eh;
    syncChannel: string;
    private dc;
    crosshairVisibility: string;
    private di;
    horizontalCrosshairBrush: string;
    private ep;
    verticalCrosshairBrush: string;
    private ey;
    zoomCoercionMode: string;
    private du;
    plotAreaBackground: string;
    private dd;
    defaultInteraction: string;
    private d2;
    rightButtonDefaultInteraction: string;
    private de;
    dragModifier: string;
    private dt;
    panModifier: string;
    private t;
    previewRect: RectDescription;
    private bv;
    windowPositionHorizontal: number;
    private bw;
    windowPositionVertical: number;
    private da;
    chartTitle: string;
    private em;
    titleHorizontalAlignment: string;
    private ee;
    subtitleHorizontalAlignment: string;
    private eo;
    titleTextStyle: string;
    private eg;
    subtitleTextStyle: string;
    private en;
    titleTextColor: string;
    private ef;
    subtitleTextColor: string;
    private bm;
    titleTopMargin: number;
    private bk;
    titleLeftMargin: number;
    private bl;
    titleRightMargin: number;
    private bi;
    titleBottomMargin: number;
    private bh;
    subtitleTopMargin: number;
    private bf;
    subtitleLeftMargin: number;
    private bg;
    subtitleRightMargin: number;
    private bd;
    subtitleBottomMargin: number;
    private ea;
    subtitle: string;
    private bn;
    topMargin: number;
    private ba;
    leftMargin: number;
    private bc;
    rightMargin: number;
    private a1;
    bottomMargin: number;
    private a0;
    autoMarginWidth: number;
    private az;
    autoMarginHeight: number;
    private ab;
    isAntiAliasingEnabledDuringInteraction: boolean;
    private bb;
    pixelScalingRatio: number;
    private a9;
    interactionPixelScalingRatio: number;
    private aw;
    actualPixelScalingRatio: number;
    private av;
    actualInteractionPixelScalingRatio: number;
    private r;
    actualWindowRect: RectDescription;
    private ax;
    actualWindowPositionHorizontal: number;
    private ay;
    actualWindowPositionVertical: number;
    private dy;
    plotAreaMouseLeftButtonDownRef: string;
    private dz;
    plotAreaMouseLeftButtonUpRef: string;
    private dv;
    plotAreaClickedRef: string;
    private dw;
    plotAreaMouseEnterRef: string;
    private dx;
    plotAreaMouseLeaveRef: string;
    private d0;
    plotAreaMouseOverRef: string;
    private d3;
    seriesCursorMouseMoveRef: string;
    private d6;
    seriesMouseLeftButtonDownRef: string;
    private d7;
    seriesMouseLeftButtonUpRef: string;
    private d8;
    seriesMouseMoveRef: string;
    private d4;
    seriesMouseEnterRef: string;
    private d5;
    seriesMouseLeaveRef: string;
    private ev;
    viewerManipulationStartingRef: string;
    private eu;
    viewerManipulationEndingRef: string;
    private ew;
    windowRectChangedRef: string;
    private d9;
    sizeChangedRef: string;
    private c8;
    actualWindowRectChangedRef: string;
    private df;
    gridAreaRectChangedRef: string;
    private d1;
    refreshCompletedRef: string;
    private c9;
    background: string;
    private ej;
    titleFontFamily: string;
    private bj;
    titleFontSize: number;
    private el;
    titleFontWeight: string;
    private ek;
    titleFontStyle: string;
    private eb;
    subtitleFontFamily: string;
    private be;
    subtitleFontSize: number;
    private ed;
    subtitleFontWeight: string;
    private ec;
    subtitleFontStyle: string;
    private ah;
    synchronizeHorizontally: boolean;
    private ei;
    synchronizeVertically: string;
}
